MINOVAES - PRODUCT - Bug #2888

[HR-Personal Data]perbaikan pada master data personal PA0O1 untuk membuatkan validasi nama file
attachment

07/17/2024 11:04 AM - Muhammad Bintar

Status: QA Test Start date: 07/17/2024
Priority: High Due date: 07/26/2024
Assignee: Muhammad Bintar % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 6.00 hours

Description

dear tim developer mohon support nya untuk perbaikan pada md personal data dimana jika ada nama file attachment pakai special
character tidak boleh di upload. harus ada validasi karena berpengaruh ke report organization chart jadi tidak bisa di view report

History

#1 - 07/24/2024 10:05 AM - Kezia Pawitra Yulianti

- Due date changed from 07/24/2024 to 07/26/2024

- Status changed from New to Assigned

- Assignee changed from Kezia Pawitra Yulianti to M Azid Wahyudi

- Priority changed from Normal to High

#2 - 09/02/2024 11:40 AM - M Azid Wahyudi

- File clipboard-202409021139-x0gpj.png added

- Status changed from Assigned to QA Test

- Assignee changed from M Azid Wahyudi to Muhammad Bintar

dear masbin , udah bisa di test ya
package :

maxFileSize = Ext.ComponentQuery.query('uploadfile[name=" + targetField_ + ']')[0]. maxFileSize;
Ext.ComponentQuery.query('[name=FileMax]')[0].setValue(maxFileSize);
var form = Ext. ComponentQuery.query(‘form[name=FormFileUpload]')[0].getForm();
uploadfilename = form.monitor.items.items®.value

uploadfilenameSub = uploadfilename.substring(uploadfilename.lastindexOf('\\') + 1);
fileName = uploadfilenameSub.split(".").shift();

var regex = /Na-zA-Z0-9\s|*$/;

var invalidChars = fileName.split('').filter (char => !regex.test (char)).join('");
if (invalidChars.length > 0) {
var message = ‘File name contains special characters: ${invalidChars}.;
Ext.Msg.alert ('Invalid File Name', message);
return;
}

note : kalau mau deploy ke client lain infoin aja biar gw aja yang deploy

makasih

Files

clipboard-202409021139-x0gpj.png 230 KB 09/02/2024 M Azid Wahyudi
